> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitrace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

> Get started with Bitrace AML API in minutes

## Prerequisites

* A Bitrace AML API key ([get one here](https://aml.bitrace.io))
* Basic knowledge of making HTTP requests

## Your First API Call

Let's make your first API call to retrieve entity information for an address.

### Step 1: Set your API key

```bash theme={null}
export BITRACE_API_KEY="your_api_key_here"
```

### Step 2: Make a request

```bash theme={null}
curl -X GET 'https://api.bitrace.io/api/v1/tracker/kya/entities?address=TZ1noC2vbh8HRjt2icUbM1E6pKbSZ83Lfc&network=tron' \
  --header "X-Access-Key: $BITRACE_API_KEY" \
  --header 'Accept: application/json'
```

### Step 3: View the response

You'll receive a JSON response like this:

```json theme={null}
{
  "success":true,
  "code":1,
  "msg":"SUCCESS",
  "data":{
    "time":1714052957650,
    "address":"TZ1noC2vbh8HRjt2icUbM1E6pKbSZ83Lfc",
    "network":"tron",
    "whitelist": false,
    "contract": false,
    "entity":{
      "entityName":"Bybit User",
      "entityCode":"bybit-user",
      "entityCategory":"cex",
      "entityCategoryCode":"cex"
    }
  }
}
```

## Next Steps

### Explore KYA Endpoints

* [Retrieve Entity](/api-reference/endpoints/kya/retrieve-entity) - Get entity information for an address
* [Retrieve Risk Assessment](/api-reference/endpoints/kya/retrieve-risk-assessment) - Get risk details for an address
* [Retrieve Risk Score](/api-reference/endpoints/kya/retrieve-risk-score) - Get numerical risk scores

### Explore KYT Endpoints

* [Retrieve Transaction Risks](/api-reference/endpoints/kyt/retrieve-transaction-risks) - Screen transactions for risks
* [Retrieve Custom Risk Score](/api-reference/endpoints/kyt/retrieve-custom-risk-score) - Calculate custom risk scores

## Common Use Cases

### 1. Address Entity Analysis

Identify the entity behind an address:

```bash theme={null}
curl -X GET 'https://api.bitrace.io/api/v1/tracker/kya/entities?address=TZ1noC2vbh8HRjt2icUbM1E6pKbSZ83Lfc&network=tron' \
  --header "X-Access-Key: $BITRACE_API_KEY"
```

### 2. Address Risk Screening

Check if an address has any risk indicators:

```bash theme={null}
curl -X GET 'https://api.bitrace.io/api/v1/tracker/kya/risks?address=TNk8zE9iHPj8LExnLhRi8Ufs9zYbvgRc7n&network=tron' \
  --header "X-Access-Key: $BITRACE_API_KEY"
```

### 3. Transaction Risk Screening

Screen transactions for risks:

```bash theme={null}
curl -X POST 'https://api.bitrace.io/api/v1/tracker/kyt/transfers/risk-screening' \
  --header "X-Access-Key: $BITRACE_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
    "network": "eth",
    "hash": "0xddeb5d1e29a88ac9e0a304f415628ff45f53c7278127de7f47c75b43bebcce8f",
    "tokenContractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
    "outputAddress": "0xa023319e8ed4302f7d05587ce3c7066aa97200c1",
    "direction": "received"
  }'
```

### 4. Batch Analysis

Retrieve information for multiple addresses at once:

```bash theme={null}
curl -X POST 'https://api.bitrace.io/api/v1/tracker/kya/entities' \
  --header "X-Access-Key: $BITRACE_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
    "addresses": [
      "TZ1noC2vbh8HRjt2icUbM1E6pKbSZ83Lfc",
      "TFskN28dBDqv8tLKtM2GwroGx7bKDUSnBW"
    ],
    "network": "tron"
  }'
```

## Need Help?

* Check our [API Reference](/api-reference/endpoints/overview) for detailed endpoint documentation
* Review [Supported Chains](/api-reference/endpoints/supported-chains) for available blockchains
* See [Error Codes](/api-reference/resources/error-codes) for troubleshooting

***

* [Previous API documentation](https://api.bitrace.io/docs/v2025)
* [Postman Collection Playground](https://www.postman.com/bitrace/aml-public-apis)

***
